osgAnimation::TemplateCubicBezier< T > Class Template Reference

`#include <CubicBezier>`

## Public Member Functions

| TemplateCubicBezier ()
| TemplateCubicBezier (const T &p, const T &i, const T &o)
| TemplateCubicBezier (const T &p)
const T & | getPosition () const
const T & | getControlPointIn () const
const T & | getControlPointOut () const
T & | getPosition ()
T & | getControlPointIn ()
T & | getControlPointOut ()
void | setPosition (const T &v)
void | setControlPointIn (const T &v)
void | setControlPointOut (const T &v)
bool | operator== (const TemplateCubicBezier< T > &other) const

## Protected Attributes

T | _position
T | _controlPointIn
T | _controlPointOut

## Friends

std::ostream & | operator<< (std::ostream &output, const TemplateCubicBezier< T > &tcb)
std::istream & | operator>> (std::istream &input, TemplateCubicBezier< T > &tcb)

## Constructor & Destructor Documentation

## TemplateCubicBezier() [1/3]

template<class T>

osgAnimation::TemplateCubicBezier< T >::TemplateCubicBezier | ( |  | ) |

inline

## TemplateCubicBezier() [2/3]

template<class T>

osgAnimation::TemplateCubicBezier< T >::TemplateCubicBezier | ( | const T & | p,
|  | const T & | i,
|  | const T & | o )

inline

## TemplateCubicBezier() [3/3]

template<class T>

osgAnimation::TemplateCubicBezier< T >::TemplateCubicBezier | ( | const T & | p | ) |

inline

## Member Function Documentation

## getControlPointIn() [1/2]

template<class T>

T & osgAnimation::TemplateCubicBezier< T >::getControlPointIn | ( |  | ) |

inline

## getControlPointIn() [2/2]

template<class T>

const T & osgAnimation::TemplateCubicBezier< T >::getControlPointIn | ( |  | ) | const

inline

## getControlPointOut() [1/2]

template<class T>

T & osgAnimation::TemplateCubicBezier< T >::getControlPointOut | ( |  | ) |

inline

## getControlPointOut() [2/2]

template<class T>

const T & osgAnimation::TemplateCubicBezier< T >::getControlPointOut | ( |  | ) | const

inline

## getPosition() [1/2]

template<class T>

T & osgAnimation::TemplateCubicBezier< T >::getPosition | ( |  | ) |

inline

## getPosition() [2/2]

template<class T>

const T & osgAnimation::TemplateCubicBezier< T >::getPosition | ( |  | ) | const

inline

## operator==()

template<class T>

bool osgAnimation::TemplateCubicBezier< T >::operator== | ( | const TemplateCubicBezier< T > & | other | ) | const

inline

## setControlPointIn()

template<class T>

void osgAnimation::TemplateCubicBezier< T >::setControlPointIn | ( | const T & | v | ) |

inline

## setControlPointOut()

template<class T>

void osgAnimation::TemplateCubicBezier< T >::setControlPointOut | ( | const T & | v | ) |

inline

## setPosition()

template<class T>

void osgAnimation::TemplateCubicBezier< T >::setPosition | ( | const T & | v | ) |

inline

## Friends And Related Symbol Documentation

## operator<<

template<class T>

std::ostream & operator<< | ( | std::ostream & | output,
|  | const TemplateCubicBezier< T > & | tcb )

friend

## operator>>

template<class T>

std::istream & operator>> | ( | std::istream & | input,
|  | TemplateCubicBezier< T > & | tcb )

friend

## Member Data Documentation

## _controlPointIn

template<class T>

T osgAnimation::TemplateCubicBezier< T >::_controlPointIn

protected

Referenced by osgAnimation::TemplateCubicBezier< float >::operator<<, osgAnimation::TemplateCubicBezier< float >::operator==(), and osgAnimation::TemplateCubicBezier< float >::operator>>.

## _controlPointOut

template<class T>

T osgAnimation::TemplateCubicBezier< T >::_controlPointOut

protected

Referenced by osgAnimation::TemplateCubicBezier< float >::operator<<, osgAnimation::TemplateCubicBezier< float >::operator==(), and osgAnimation::TemplateCubicBezier< float >::operator>>.

## _position

template<class T>

T osgAnimation::TemplateCubicBezier< T >::_position

protected

Referenced by osgAnimation::TemplateCubicBezier< float >::operator<<, osgAnimation::TemplateCubicBezier< float >::operator==(), and osgAnimation::TemplateCubicBezier< float >::operator>>.

The documentation for this class was generated from the following file:

- CubicBezier